Delete Archived Transactions
post
/rest/v19/commerceDocumentsOraclecpqoTransaction/actions/_delete_archived_transactions
Use this endpoint to delete the specified archived transactions. Note: This action is only available for CPQ administrators with superuser access.
Request
Supported Media Types
- application/json
Root Schema : commerceDocumentsOraclecpqoTransaction-_delete_archived_transactionsCollectionRequest
Type:
Show Source
object-
selectionCriteria:
object Archived items selection Query Definition
Title:
Archived items selection Query DefinitionCaptures the transaction ids of archived transactions
Nested Schema : Archived items selection Query Definition
Type:
objectTitle:
Archived items selection Query DefinitionCaptures the transaction ids of archived transactions
Show Source
-
ids:
array ids
Array of transaction ids.
Response
Supported Media Types
- application/json
Default Response
Root Schema : commerceDocumentsOraclecpqoTransaction-_delete_archived_transactionsCollectionResponse
Type:
objectExamples
The following example shows how to delete a list of archived transactions by submitting a POST request to the REST resource using cURL. For more information about cURL, see Use cURL.
curl -X POST -H "Authorization: Bearer <token>" -H "Accept: application/json" https://sitename.oracle.com/rest/v19/commerceDocumentsOraclecpqoTransaction/actions/_delete_archived_transaction
Request Body Sample
{
"selectionCriteria": {
"ids": [19403637, 19403536, 19401289, 19397409, 19397331, 19397252, 19397175, 19396957, 19396878, 19396429, 19395774, 19395679, 19395605, 19385048, 19384977]
}
}